
/**
 * Beschreibt einen Bewegungsmelder
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Bewegungsmelder
{
    /** Name des Sensors */
    private String name;
    /** aktueller Wert der Messung */
    private boolean an;
    /** Lampe, der Änderungen gemeldet werden */
    private Lampe beobachter;
    
    /**
     * Legt den Namen und den Beobachter fest.
     * @param namensZusatz individualler Namensteil des Sensors
     */
    Bewegungsmelder(String namensZusatz)
    {
        name = "Bewegungsmelder " + namensZusatz;
        beobachter = null;
        an = false;
    }
    
    /**
     * Meldet den Namen des Geräts zurück
     * @return Name
     */
    String NameGeben()
    {
        return name;
    }
    
    /**
     * Registriert einen Beobachter
     * @param beobachter wird von jeder Wertänderung benachrichtigt
     */
    void BeobachterRegistrieren (Lampe beobachter)
    {
        this.beobachter = beobachter;
    }
    
    /**
     * Setzt den neuen Sensorwert
     * @param an der neue Sensorwert
     */
    void WertSetzen (Boolean an)
    {
        this.an = an;
        beobachter.WertänderungMeldenBewegungsmelder(an);
    }
    
    /**
     * Meldet den Zustand des Sensors
     * @return Zustand als Zeichenkette
     */
    String ZustandGeben()
    {
        return an ? "Bewegung" : "Ruhe";
    }
}
