
/**
 * Darstellung eines Kühlschranks
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
class KuehlschrankSymbol
{
    private Kreis eckeLO;
    private Kreis eckeRO;
    private Kreis eckeLU;
    private Kreis eckeRU;
    private Rechteck randLinks;
    private Rechteck randOben;
    private Rechteck randUnten;
    private Rechteck randRechts;

    private Kreis eckeLOinnen;
    private Kreis eckeROinnen;
    private Kreis eckeLUinnen;
    private Kreis eckeRUinnen;
    private Rechteck randLinksinnen;
    private Rechteck randObeninnen;
    private Rechteck randUnteninnen;
    private Rechteck randRechtsinnen;

    private Rechteck korpusInnen;
    private Kreis griffLinks;
    private Rechteck griffMitte;
    private Kreis griffRechts;

    private Kreis ei1, ei2, ei3;
    private Rechteck eierfach;

    /**
     * Baut das Symbol auf
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    KuehlschrankSymbol (int x, int y)
    {
        eckeLO = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeLO, 0, 0);
        eckeLO.RadiusSetzen(15);
        eckeLO.PositionSetzen(x + 15, y + 15);
        eckeLO.FarbeSetzen("schwarz");
        randLinks = new Rechteck();
        GrafikWelt.dieWelt.addObject(randLinks, 0, 0);
        randLinks.GrößeSetzen(30, 100);
        randLinks.PositionSetzen(x, y + 15);
        randLinks.FarbeSetzen("schwarz");
        eckeLU = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeLU, 0, 0);
        eckeLU.RadiusSetzen(15);
        eckeLU.PositionSetzen(x + 15, y + 115);
        eckeLU.FarbeSetzen("schwarz");
        randUnten = new Rechteck();
        GrafikWelt.dieWelt.addObject(randUnten, 0, 0);
        randUnten.GrößeSetzen(60, 30);
        randUnten.PositionSetzen(x + 15, y + 100);
        randUnten.FarbeSetzen("schwarz");
        randOben = new Rechteck();
        GrafikWelt.dieWelt.addObject(randOben, 0, 0);
        randOben.GrößeSetzen(60, 30);
        randOben.PositionSetzen(x + 15, y);
        randOben.FarbeSetzen("schwarz");
        eckeRO = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeRO, 0, 0);
        eckeRO.RadiusSetzen(15);
        eckeRO.PositionSetzen(x + 75, y + 15);
        eckeRO.FarbeSetzen("schwarz");
        eckeRU = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeRU, 0, 0);
        eckeRU.RadiusSetzen(15);
        eckeRU.PositionSetzen(x + 75, y + 115);
        eckeRU.FarbeSetzen("schwarz");
        randRechts = new Rechteck();
        GrafikWelt.dieWelt.addObject(randRechts, 0, 0);
        randRechts.GrößeSetzen(30, 100);
        randRechts.PositionSetzen(x + 60, y + 15);
        randRechts.FarbeSetzen("schwarz");

        eckeLOinnen = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeLOinnen, 0, 0);
        eckeLOinnen.RadiusSetzen(15);
        eckeLOinnen.PositionSetzen(x + 17, y + 17);
        eckeLOinnen.FarbeSetzen("cyan");
        randLinksinnen = new Rechteck();
        GrafikWelt.dieWelt.addObject(randLinksinnen, 0, 0);
        randLinksinnen.GrößeSetzen(30, 96);
        randLinksinnen.PositionSetzen(x + 2, y + 17);
        randLinksinnen.FarbeSetzen("cyan");
        eckeLUinnen = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeLUinnen, 0, 0);
        eckeLUinnen.RadiusSetzen(15);
        eckeLUinnen.PositionSetzen(x + 17, y + 113);
        eckeLUinnen.FarbeSetzen("cyan");

        randUnteninnen = new Rechteck();
        GrafikWelt.dieWelt.addObject(randUnteninnen, 0, 0);
        randUnteninnen.GrößeSetzen(56, 30);
        randUnteninnen.PositionSetzen(x + 17, y + 98);
        randUnteninnen.FarbeSetzen("cyan");
        randObeninnen = new Rechteck();
        GrafikWelt.dieWelt.addObject(randObeninnen, 0, 0);
        randObeninnen.GrößeSetzen(56, 30);
        randObeninnen.PositionSetzen(x + 17, y + 2);
        randObeninnen.FarbeSetzen("cyan");

        eckeROinnen = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeROinnen, 0, 0);
        eckeROinnen.RadiusSetzen(15);
        eckeROinnen.PositionSetzen(x + 73, y + 17);
        eckeROinnen.FarbeSetzen("cyan");
        eckeRUinnen = new Kreis();
        GrafikWelt.dieWelt.addObject(eckeRUinnen, 0, 0);
        eckeRUinnen.RadiusSetzen(15);
        eckeRUinnen.PositionSetzen(x + 73, y + 113);
        eckeRUinnen.FarbeSetzen("cyan");
        randRechtsinnen = new Rechteck();
        GrafikWelt.dieWelt.addObject(randRechtsinnen, 0, 0);
        randRechtsinnen.GrößeSetzen(30, 96);
        randRechtsinnen.PositionSetzen(x + 58, y + 17);
        randRechtsinnen.FarbeSetzen("cyan");

        korpusInnen = new Rechteck();
        GrafikWelt.dieWelt.addObject(korpusInnen, 0, 0);
        korpusInnen.GrößeSetzen(60, 100);
        korpusInnen.PositionSetzen(x + 15, y + 15);
        korpusInnen.FarbeSetzen("cyan");

        griffLinks = new Kreis();
        GrafikWelt.dieWelt.addObject(griffLinks, 0, 0);
        griffLinks.RadiusSetzen(5);
        griffLinks.PositionSetzen(x + 15, y + 45);
        griffLinks.FarbeSetzen("schwarz");

        griffMitte = new Rechteck();
        GrafikWelt.dieWelt.addObject(griffMitte, 0, 0);
        griffMitte.GrößeSetzen(27, 10);
        griffMitte.PositionSetzen(x + 15, y + 40);
        griffMitte.FarbeSetzen("schwarz");

        griffRechts = new Kreis();
        GrafikWelt.dieWelt.addObject(griffRechts, 0, 0);
        griffRechts.RadiusSetzen(5);
        griffRechts.PositionSetzen(x + 41, y + 45);
        griffRechts.FarbeSetzen("schwarz");

        ei1 = new Kreis();
        GrafikWelt.dieWelt.addObject(ei1, 0, 0);
        ei1.RadiusSetzen(10);
        ei1.PositionSetzen(x + 21, y + 80);
        ei1.FarbeSetzen("orange");

        ei2 = new Kreis();
        GrafikWelt.dieWelt.addObject(ei2, 0, 0);
        ei2.RadiusSetzen(10);
        ei2.PositionSetzen(x + 44, y + 80);
        ei2.FarbeSetzen("orange");

        ei3 = new Kreis();
        GrafikWelt.dieWelt.addObject(ei3, 0, 0);
        ei3.RadiusSetzen(10);
        ei3.PositionSetzen(x + 67, y + 80);
        ei3.FarbeSetzen("orange");

        eierfach = new Rechteck();
        GrafikWelt.dieWelt.addObject(eierfach, 0, 0);
        eierfach.GrößeSetzen(70, 12);
        eierfach.PositionSetzen(x + 10, y + 85);
        eierfach.FarbeSetzen("grau");

    }
    
    /**
     * Meldet den neuen Zustand an das Symbol
     * @param leer das Eierfach ist leer
     */
    void ÄnderungMelden(boolean leer)
    {
        if (leer)
        {
            ei1.FarbeSetzen("rot");
            ei2.FarbeSetzen("rot");
            ei3.FarbeSetzen("rot");
        }
        else
        {
            ei1.FarbeSetzen("weiß");
            ei2.FarbeSetzen("weiß");
            ei3.FarbeSetzen("weiß");
        }
    }
}
