
/**
 * Beschreibt ein Thermometer
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Thermometer
{
    /** Name des Sensors */
    private String name;
    /** aktueller Wert der Messung */
    private int aktuellerWert;
    /** Heizkörper, dem Änderungen gemeldet werden */
    private Heizkoerper beobachter;

    /**
     * Legt den Namen und den Beobachter fest.
     * @param namensZusatz individualler Namensteil des Sensors
     */
    Thermometer(String namensZusatz)
    {
        name = "Thermometer " + namensZusatz;
        beobachter = null;
        aktuellerWert = 0;
    }
    
    /**
     * Meldet den Namen des Geräts zurück
     * @return Name
     */
    String NameGeben()
    {
        return name;
    }
     
    /**
     * Registriert einen Beobachter
     * @param beobachter wird von jeder Wertänderung benachrichtigt
     */
    void BeobachterRegistrieren (Heizkoerper beobachter)
    {
        this.beobachter = beobachter;
    }
   
    /**
     * Setzt den neuen Sensorwert
     * @param eingabe der neue Sensorwert
     */
    void WertSetzen (int eingabe)
    {
        if ((eingabe >= -50) && (eingabe <= 100))
        {
            aktuellerWert = eingabe;
            beobachter.WertänderungMelden(aktuellerWert);
        }
    }
    
    /**
     * Meldet den Zustand des Sensors
     * @return Zustand als Zeichenkette
     */
    String ZustandGeben()
    {
        return "" + aktuellerWert + " ˚C";
    }
}
